Bug 733962 - [abrt] pitivi-0.14.0-2.fc15: pipeline.py:779:releaseQueueForFactoryStream:PipelineError: Couldn't find Queue for Stream/Factory
Summary: [abrt] pitivi-0.14.0-2.fc15: pipeline.py:779:releaseQueueForFactoryStream:Pip...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:01b6ffc5ada4965cc30bf1546eb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 23:15 UTC by Paul Lange
Modified: 2012-08-07 16:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:51:28 UTC


Attachments (Terms of Use)

Description Paul Lange 2011-08-28 23:15:02 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        python /usr/bin/pitivi
comment:        rendered a hd movie
component:      pitivi
executable:     /usr/bin/pitivi
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        pitivi-0.14.0-2.fc15
reason:         pipeline.py:779:releaseQueueForFactoryStream:PipelineError: Couldn't find Queue for Stream/Factory
time:           Sun Aug 28 18:13:40 2011
uid:            500
username:       paul

backtrace:
:pipeline.py:779:releaseQueueForFactoryStream:PipelineError: Couldn't find Queue for Stream/Factory
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/ui/encodingprogress.py", line 71, in _cancelButtonClickedCb
:    self.emit("cancel")
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 145, in emit
:    *args, **kwargs)
:  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 119, in emit
:    res = cb(*ar, **kw)
:  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 300, in _cancelRender
:    self.shutdown()
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 68, in shutdown
:    self.removeAction()
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 132, in removeAction
:    self.action.deactivate()
:  File "/usr/share/pitivi/python/pitivi/action.py", line 146, in deactivate
:    self._releasePipelineObjects()
:  File "/usr/share/pitivi/python/pitivi/action.py", line 650, in _releasePipelineObjects
:    self.pipeline.releaseQueueForFactoryStream(consumer, consstream)
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 779, in releaseQueueForFactoryStream
:    raise PipelineError("Couldn't find Queue for Stream/Factory")
:PipelineError: Couldn't find Queue for Stream/Factory
:
:Local variables in innermost frame:
:self: <pitivi.pipeline.Pipeline object at 0x914248c>
:stream_entry: <pitivi.pipeline.StreamEntry object at 0x96091ac>
:stream: <pitivi.stream.AudioStream object at 0x95f876c>
:factory: <pitivi.encode.RenderSinkFactory object at 0x9604dec>

Comment 1 Gwyn Ciesla 2012-03-27 18:02:25 UTC
Does this crash with the 0.15.0-3 in updates-testing?

Comment 2 Fedora End Of Life 2012-08-07 16:51:30 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.